Method: schedules.pause

Full name: projects.locations.schedules.pause

Pauses a Schedule. Will mark Schedule.state to 'PAUSED'. If the schedule is paused, no new runs will be created. Already created runs will NOT be paused or canceled.

Endpoint

post https://{service-endpoint}/v1/{name}:pause

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The name of the Schedule resource to be paused. Format: projects/{project}/locations/{location}/schedules/{schedule}

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.schedules.update

For more information, see the IAM documentation.